org.keycloak.models

## Class UserModel.SearchableFields

- java.lang.Object
- - org.keycloak.models.UserModel.SearchableFields

- Enclosing interface:
    UserModel

      public static class UserModel.SearchableFields
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static SearchableModelField<UserModel>` | `ASSIGNED_GROUP`
    `static SearchableModelField<UserModel>` | `ASSIGNED_ROLE`
    `static SearchableModelField<UserModel>` | `ATTRIBUTE` Search for attribute value.
    `static SearchableModelField<UserModel>` | `CONSENT_CLIENT_FEDERATION_LINK` Search for users that have consent set for a particular client that originates in the given client provider.
    `static SearchableModelField<UserModel>` | `CONSENT_FOR_CLIENT` Search for users that have consent set for a particular client.
    `static SearchableModelField<UserModel>` | `CONSENT_WITH_CLIENT_SCOPE` Search for users that have consent that has given client scope.
    `static SearchableModelField<UserModel>` | `EMAIL`
    `static SearchableModelField<UserModel>` | `EMAIL_VERIFIED`
    `static SearchableModelField<UserModel>` | `ENABLED`
    `static SearchableModelField<UserModel>` | `FEDERATION_LINK`
    `static SearchableModelField<UserModel>` | `FIRST_NAME`
    `static SearchableModelField<UserModel>` | `ID`
    `static SearchableModelField<UserModel>` | `IDP_AND_USER` This field can only searched either for users coming from an IDP, then the operand is (idp_alias), or as user coming from a particular IDP with given username there, then the operand is a pair (idp_alias, idp_user_id).
    `static SearchableModelField<UserModel>` | `LAST_NAME`
    `static SearchableModelField<UserModel>` | `REALM_ID`
    `static SearchableModelField<UserModel>` | `SERVICE_ACCOUNT_CLIENT` ID of the client corresponding to the service account
    `static SearchableModelField<UserModel>` | `USERNAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SearchableFields()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ID

          public static final SearchableModelField<UserModel> ID

    - #### REALM_ID

          public static final SearchableModelField<UserModel> REALM_ID

    - #### USERNAME

          public static final SearchableModelField<UserModel> USERNAME

    - #### FIRST_NAME

          public static final SearchableModelField<UserModel> FIRST_NAME

    - #### LAST_NAME

          public static final SearchableModelField<UserModel> LAST_NAME

    - #### EMAIL

          public static final SearchableModelField<UserModel> EMAIL

    - #### ENABLED

          public static final SearchableModelField<UserModel> ENABLED

    - #### EMAIL_VERIFIED

          public static final SearchableModelField<UserModel> EMAIL_VERIFIED

    - #### FEDERATION_LINK

          public static final SearchableModelField<UserModel> FEDERATION_LINK

    - #### IDP_AND_USER

          public static final SearchableModelField<UserModel> IDP_AND_USER

      This field can only searched either for users coming from an IDP, then the operand is (idp_alias), or as user coming from a particular IDP with given username there, then the operand is a pair (idp_alias, idp_user_id). It is also possible to search regardless of `idp_alias`, then the pair is `(null, idp_user_id)`.

    - #### ASSIGNED_ROLE

          public static final SearchableModelField<UserModel> ASSIGNED_ROLE

    - #### ASSIGNED_GROUP

          public static final SearchableModelField<UserModel> ASSIGNED_GROUP

    - #### CONSENT_FOR_CLIENT

          public static final SearchableModelField<UserModel> CONSENT_FOR_CLIENT

      Search for users that have consent set for a particular client.

    - #### CONSENT_CLIENT_FEDERATION_LINK

          public static final SearchableModelField<UserModel> CONSENT_CLIENT_FEDERATION_LINK

      Search for users that have consent set for a particular client that originates in the given client provider.

    - #### CONSENT_WITH_CLIENT_SCOPE

          public static final SearchableModelField<UserModel> CONSENT_WITH_CLIENT_SCOPE

      Search for users that have consent that has given client scope.

    - #### SERVICE_ACCOUNT_CLIENT

          public static final SearchableModelField<UserModel> SERVICE_ACCOUNT_CLIENT

      ID of the client corresponding to the service account

    - #### ATTRIBUTE

          public static final SearchableModelField<UserModel> ATTRIBUTE

      Search for attribute value. The parameters is a pair `(attribute_name, values...)` where `attribute_name` is always checked for equality, and the value (which can be any numbert of values, none for operators like EXISTS or potentially many for e.g. IN) is checked per the operator.

  - ### Constructor Detail

    - #### SearchableFields

          public SearchableFields()

Copyright © 2021 JBoss by Red Hat. All rights reserved.